Name:       perl-MooseX-Types-DateTime
Version:    0.05
Release:    4%{?dist}
# see, e.g., lib/MooseX/Types/DateTime.pm
License:    GPL+ or Artistic
Group:      Development/Libraries
Summary:    DateTime related constraints and coercions for Moose
Source:     http://search.cpan.org/CPAN/authors/id/N/NU/NUFFIN/MooseX-Types-DateTime-%{version}.tar.gz
Url:        http://search.cpan.org/dist/MooseX-Types-DateTime
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::DateParse) >= 0.04
BuildRequires: perl(DateTime::Format::Flexible) >= 0.05
BuildRequires: perl(DateTime::Format::Natural) >= 0.71
BuildRequires: perl(DateTime::Locale)
BuildRequires: perl(DateTime::TimeZone) >= 0.95
BuildRequires: perl(DateTimeX::Easy) >= 0.082
BuildRequires: perl(Moose) >= 0.41
BuildRequires: perl(MooseX::Types) >= 0.19
BuildRequires: perl(namespace::clean) >= 0.08
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Exception) >= 0.27
BuildRequires: perl(Test::use::ok) >= 0.02
BuildRequires: perl(Time::Duration::Parse) >= 0.06
# optional tests
BuildRequires: perl(DateTime::Format::DateManip)

Requires:       perl(Test::Exception) >= 0.27
Requires:       perl(Test::use::ok) >= 0.02
Requires:       perl(DateTime)
Requires:       perl(DateTime::Format::DateParse) >= 0.04
Requires:       perl(DateTime::Format::Flexible) >= 0.05
Requires:       perl(DateTime::Format::Natural) >= 0.71
Requires:       perl(DateTime::Locale)
Requires:       perl(DateTime::TimeZone) >= 0.95
Requires:       perl(DateTimeX::Easy) >= 0.082
Requires:       perl(Moose) >= 0.41
Requires:       perl(MooseX::Types) >= 0.19
Requires:       perl(Time::Duration::Parse) >= 0.06
Requires:       perl(namespace::clean) >= 0.08

%{?perl_default_filter}
%{?perl_default_subpackage_tests}

%description
This module packages several type constraints (Moose::Util::TypeConstraints)
and coercions designed to work with the DateTime suite of objects.


%prep
%setup -q -n MooseX-Types-DateTime-%{version}

find . -type f -exec chmod -c -x {} +

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.05-4
- Mass rebuild with perl-5.12.0

* Sat Feb 13 2010 Chris Weyl <cweyl@alumni.drew.edu> 0.05-3
- PERL_INSTALL_ROOT => DESTDIR
- add perl_default_filter, _default_subpackage_tests
- drop version req on DateTime (buildfailures with latest perl-DateTime)

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.05-2
- rebuild against perl 5.10.1

* Sat Sep 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.05-1
- auto-update to 0.05 (by cpan-spec-update 0.01)
- altered br on perl(MooseX::Types) (0.04 => 0.19)
- altered req on perl(MooseX::Types) (0.04 => 0.19)
- added a new req on perl(Test::Exception) (version 0.27)
- added a new req on perl(Test::use::ok) (version 0.02)

* Mon Aug 24 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.04-1
- auto-update to 0.04 (by cpan-spec-update 0.01)
- altered br on perl(DateTime::Locale) (0 => 0.4001)
- altered br on perl(DateTime::TimeZone) (0.7701 => 0.95)
- added a new req on perl(DateTime) (version 0.4302)
- added a new req on perl(DateTime::Format::DateParse) (version 0.04)
- added a new req on perl(DateTime::Format::Flexible) (version 0.05)
- added a new req on perl(DateTime::Format::Natural) (version 0.71)
- added a new req on perl(DateTime::Locale) (version 0.4001)
- added a new req on perl(DateTime::TimeZone) (version 0.95)
- added a new req on perl(DateTimeX::Easy) (version 0.082)
- added a new req on perl(Moose) (version 0.41)
- added a new req on perl(MooseX::Types) (version 0.04)
- added a new req on perl(Time::Duration::Parse) (version 0.06)
- added a new req on perl(namespace::clean) (version 0.08)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 15 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.03-3
- add DateTime::Format::DateManip as a br

* Sat Dec 06 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.03-2
- touchup for submission

* Sat Oct 11 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.03-1
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.1)
